nameOverride: ingress-nginx
fullnameOverride: ingress-nginx

nginx-ingress:
  nameOverride: ingress-nginx
  fullnameOverride: ingress-nginx

  defaultBackend:
    service:
      omitClusterIP: true

  controller:
    config:
      worker-shutdown-timeout: 600s

    autoscaling:
      enabled: false

    service:
      omitClusterIP: true
      annotations:
        service.beta.kubernetes.io/aws-load-balancer-connection-idle-timeout: "300"
        service.beta.kubernetes.io/aws-load-balancer-type: nlb

    stats:
      enabled: true
      service:
        omitClusterIP: true

    extraArgs:
      default-ssl-certificate: ingress-nginx/zooxlabs-cert

    metrics:
      enabled: true

      service:
        omitClusterIP: true
      serviceMonitor:
        enabled: true
